<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/linear_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/app_bg"
     >

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="vertical"
        android:layout_centerInParent="true"
        android:id="@+id/linearLayout3">

        <ImageView
            android:id="@+id/img_logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="20dp"
            android:background="@drawable/logo_login"
            android:contentDescription="@string/login"
            android:onClick="showAcmsAddress"
            android:scaleType="centerCrop" />

        <LinearLayout
            android:id="@+id/login_panel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="invisible" >

            <jp.agentec.abook.abv.ui.common.view.ABVEditText
                android:id="@+id/edt_site_id"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/title_site_id"
                android:inputType="number"
                android:visibility="gone"
                android:maxLines="1" />

            <jp.agentec.abook.abv.ui.common.view.ABVEditText
                android:id="@+id/edt_url_path"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/title_url_path"
                android:inputType="textEmailAddress"
                android:maxLines="1" />

            <jp.agentec.abook.abv.ui.common.view.ABVEditText
                android:id="@+id/edt_id"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:focusable="true"
                android:hint="@string/title_id"
                android:inputType="textEmailAddress"
                android:maxLines="1" />

            <jp.agentec.abook.abv.ui.common.view.ABVEditText
                android:id="@+id/edt_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:focusable="true"
                android:hint="@string/title_password"
                android:inputType="textPassword"
                android:maxLines="1" />

            <Button
                android:id="@+id/btn_login"
                android:layout_width="200dp"
                android:layout_height="46dp"
                android:layout_marginTop="10dp"
                android:background="@drawable/btn_login"
                android:contentDescription="@string/login"
                android:text="@string/login"
                android:textColor="@color/text_color"/>

        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/login_label"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="@string/request_login_label"
        android:textColor="@color/text_color"
        android:textSize="20sp"
        android:layout_below="@+id/linearLayout3"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true" />

    <ImageButton
        android:id="@+id/btn_deviceId"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginLeft="30dp"
        android:layout_marginBottom="30dp"
        android:layout_alignParentBottom="true"
        android:background="@drawable/btn_device_id" />

</RelativeLayout>
